Subject: Re: Regarding call Chinese names

From: [email-masked] (Noel Chiappa)
Date: Thu, 11 Jul 2013 11:26:00 -0400 (EDT)

> From: Simon Perreault <[email-masked]>

    > I think I've seen Chinese names written in both orders. That is,
    > sometimes "Hui Deng" will be written "Deng Hui". Am I right? Does this
    > happen often?

I'm not certain about Chinese, but I know that with Japanese names, which
have the same issue (family name first in native language), both orders
happen a fair amount. (This also happens with Hungarian names, which also
use family-first - rare in the West, but it does happen.)

    > Is there a way to guess what order a name is written in? Sometimes it's
    > not easy for non-Sinophones to know which part is the given name and
    > which part is the family name.

Unless you know a certain amount about the language, my guess would be 'no'.

Hence the common practise in some academic circles of giving the family name
in all capitals, to show which it is. So whether you see Junichiro KOIZUMI
or KOIZUMI Junichiro, you know what you're seeing.

Maybe the IETF should adopt that practise in, e.g., attendee lists?

I'm not sure what to do about e.g. RFC's - there's a pretty strict "X. Yyyy"
form for names, where X is the given initial, the Yyyy the family name. Do we
want to change that, or just say 'sorry, family-first people, you'll have to
mangle your name to fit the RFC format'?

(That happens already in other cases, BTW. I'm called by my _middle_ name -
which caused all sorts of issues for the I-D software when "J. Noel Chiappa"
tried to submit a draft listing "N. Chiappa". It Did Not Like.)

Do we want to encourage people to do the capitalization in their email
addresses (the full-name part, not the mailbox name part), so that people
know? That's obviously not under our control, but we might _suggest_ it.

	Noel

---

From: John C Klensin <[email-masked]>
Date: Thu, 11 Jul 2013 11:44:10 -0400

--On Thursday, July 11, 2013 11:26 -0400 Noel Chiappa
<[email-masked]> wrote:

>     > I think I've seen Chinese names written in both orders.
> That is,     > sometimes "Hui Deng" will be written "Deng
> Hui". Am I right? Does this     > happen often?
> 
> I'm not certain about Chinese, but I know that with Japanese
> names, which have the same issue (family name first in native
> language), both orders happen a fair amount. (This also
> happens with Hungarian names, which also use family-first -
> rare in the West, but it does happen.)
>...

Not that rare if one includes "family name in the middle" as
another case that is unusual relative to "normal English" usage.

Worse, the "standard" convention for expressing a Chinese names
in Latin characters differs among Chinese-speaking populations/
countries.  One can usually deduce which one is the family name/
surname from context (not limited to knowing a "certain amount
about the language, but it sometimes requires a lot of context.
And, as you know, the "most family names are one character and
most personal names are more than one" rule mentioned in the
draft works for Chinese names but not for Japanese ones.

Incidentally, purging "first name" and "last name" from our
vocabulary would be a big step in avoiding confusion.

> Hence the common practise in some academic circles of giving
> the family name in all capitals, to show which it is. So
> whether you see Junichiro KOIZUMI or KOIZUMI Junichiro, you
> know what you're seeing.

Not just in academic circles but in some UN ones and elsewhere.
I strongly recommend wider adoption of this convention and note
that it has been used in some RFCs (but not consistently).

> I'm not sure what to do about e.g. RFC's - there's a pretty
> strict "X. Yyyy" form for names, where X is the given initial,
> the Yyyy the family name. Do we want to change that, or just
> say 'sorry, family-first people, you'll have to mangle your
> name to fit the RFC format'?

The upper-case family name convention helps if there is any
possible ambiguity.  I also note that this is all sufficiently
confusing that at least one RFC was published with 
   "First-letter-of-family-name. Personal-name"
for the editor.

Comments to the RSE might be in order and some of the
suggestions in this draft probably belong in the Style Guide,
especially as things evolve toward having author/editor names in
their original scripts.

>...
> Do we want to encourage people to do the capitalization in
> their email addresses (the full-name part, not the mailbox
> name part), so that people know? That's obviously not under
> our control, but we might _suggest_ it.

Indeed.

Folks, might I encourage making editorial and similar
suggestions in notes to the authors rather than trying to edit
the document on the IETF list?

best,
  john

---

From: Simon Perreault <[email-masked]>
Date: Thu, 11 Jul 2013 17:57:24 +0200

> that it has been used in some RFCs (but not consistently).

It is omnipresent in everyday life in France as well.

Simon

---

From: Patrik Fältström <[email-masked]>
Date: Thu, 11 Jul 2013 17:57:06 +0200

> another case that is unusual relative to "normal English" usage.

Maybe people from Iceland should start explaining how things work there?

;-)

   Patrik